<!DOCTYPE html>
<html>
<head>
 <meta charset="UTF-8">
 <title>PHP 기본 데이터 형</title>
</head>

<body>
 <b>PHP 기본 데이터 형</b></p>

<?php
// datatype_check.php
// 변수의 데이터 형 확인

// 정수 데이터
$var = 2020;

echo "Get type? ".gettype($var)."<Br>";
echo "Int type? ".is_int($var)."<Br>";
echo "Integer type? ".is_integer($var)."<Br>";
echo "Long type? ".is_long($var)."<Br>";
echo "Numeric type? ".is_numeric($var)."</p>";

// 실수 데이터
$var = 12.34;
echo "Get type? ".gettype($var)."<Br>";

// 문자열 데이터
$var = "PHP 문자열";
echo "Get type? ".gettype($var)."<Br>";

// 부울 데이터
$var = true;
echo "Get type? ".gettype($var)."<Br>";

// 배열 데이터 형 확인
$var = array(1004, "천사");
echo "Get type? ".gettype($var)."<Br>";

// 객체 데이터
Class Student {                 // 클래스 정의
   public $hakbun;
   public $name;
}
$std = new Student();           // 객체 생성
echo "Get type? ".gettype($std)."<Br>";

// MySQL 서버 연결(Connect server)
$conn = mysqli_connect("localhost", "root", "adminpw");

echo "Get type? ".gettype($conn)."<Br>";
mysqli_close($conn);            // 데이터베이스 연결 종료

// 리소스 데이터
$filename = "fopen_fclose.dat";

$fp = fopen($filename, "w");    // 파일 열기
echo "Get type? ".gettype($fp)."<Br>";
fclose($fp);                    // 파일 닫기

// Null 데이터
$var = NULL;
echo "Get type? ".gettype($var)."<Br>";
?> 

</body>
</html>