<!DOCTYPE html>
<html>
<head>
 <meta charset="UTF-8">
 <title>상수 사용</title>
</head>
<body>
 <b>상수 사용</b></p>

<?PHP
// interest_constant.php 
// 사용자 정의 상수(user defined constant)

/* 예금액에 대한 이자와 지급액 계산
 이자 = 원금 * 이자율
 지급액 = 원금 + 이자
*/

// 변수 정의
$money = 1000000;                     // 원금

// 이자와 지급액 계산
$interest = $money * 0.04;            // 이자율(4%)
$amount = $money + $interest;

// 결과 출력(원금, 이자율, 이자, 지급액)
echo "원  금 = ".$money."원<Br>";
echo "이자율 = ".(0.04 * 100)."%<Br>";
echo "이  자 = ".$interest."원<Br>";
echo "지급액 = ".$amount."원<hr>";
// ----------------------------------------------

// 함수 정의
function interest_compute($money) {

   $interest = $money * INTEREST_RATE;
   return $interest;
}

// 변수와 상수 정의
$money = 1000000;                     // 원금
define("INTEREST_RATE", 0.04);        // 이자율(4%)

// 이자와 지급액 계산
$interest = interest_compute($money); // 함수 호출
$amount = $money + $interest;

// 결과 출력(원금, 이자율, 이자, 지급액)
echo "원  금 = ".number_format($money)."원<Br>";
echo "이자율 = ".(INTEREST_RATE * 100)."%<Br>";
echo "이  자 = ".number_format($interest)."원<Br>";
echo "지급액 = ".number_format($amount)."원";
?>

</body>
</html>