<?PHP
// form_sum_start_end_2.php
// 임의의 2개 정수구간 수의 합

// 정수 비교 및 교환 함수 정의(참조)
function compare_exchange(&$s_su, &$e_su) {

   if ($s_su > $e_su) {

      $temp = $s_su;
      $s_su = $e_su;
      $e_su = $temp;

   }
}

// 정수 구간의 합 계산 함수 정의(값)
function su_sum($s_su, $e_su) {

   $sum = 0;

   for ($s_su; $s_su <= $e_su; $s_su++){
      $sum = $sum + $s_su;
   }
   return $sum;
}

// 전송 데이터 확인
if (empty($_GET["s_su"]) || empty($_GET["e_su"])) {
   echo "<script>alert('임의 정수를 모두 입력하시오!');
                 history.go(-1);
         </script>";
   exit();
}

// 전송 데이터 변수 할당
$s_su = $_GET["s_su"];
$e_su = $_GET["e_su"];

// 정수 비교 및 교환
compare_exchange($s_su, $e_su);

// 정수 구간의 합 계산
$sum = su_sum($s_su, $e_su);

// 결과 출력
?>

<!DOCTYPE html>
<html>
<head>
 <title>정수 구간 합(form_sum_start_end.html)</title>
 <meta charset="utf-8">
 <link rel="stylesheet" href="../common/css/table_200_50.css">
</head>

<body>
<form name="sum_form">
 <table>
  <caption>정수 구간 합</caption>
  <tr>
   <th>시작 수</th>
   <td><?= $s_su; ?></td>
  </tr>
  <tr>
   <th>끝 수</th>
   <td><?= $e_su; ?></td>
  </tr>
  <tr>
   <th>구간 합</th>
   <td><?= $sum; ?></td>
  </tr>
  <tr>
   <td colspan="2" style="text-align:center;">
       <a href="./form_sum_start_end.html">[ 확인 ]</a>
   </td>
  </tr>
 </table>
</form>

</body>
</html>