<!DOCTYPE html>
<html>
<head>
 <meta charset="UTF-8">
 <title>내장 함수</title>
</head>
<body>
 <b>날짜와 시간관련 함수</b></p>

<?PHP
// date_time.php
// 날짜와 시간관련 함수
// time(), date(), getdate(), mktime(), checkdate() 함수

// time() 함수
$timestamp = time();
echo "timestamp = $timestamp</p>";

// date() 함수(시간정보 구분자 / - : )
echo date("Y-m-d H:i:s A", $timestamp)."<Br>";

// getdate() 함수
$get_date = getdate($timestamp);
$get_date = getdate();          // 현재 타임스탬프 생략

echo "<pre>";
foreach ($get_date as $key => $value) {
   printf("[%s]=>%s<Br>", $key, $value);
}
echo "</pre>";
echo "</p>";

// mktime(hour, minute, second, month, day, year) 함수
$timestamp = mktime(12, 13, 14, 5, 8, 2020);
echo "2020년 5월 8일 12시 13분 14초 TS = $timestamp</p>";

// checkdate(month, day, year) 함수
$check_date = checkdate(2, 29, 2019);

if ($check_date) {
   $msg = "적합한 날짜입니다!";
} else {
   $msg = "적합하지 않는 날짜입니다!!";
}
echo "2019년 2월 29일 = $msg";
?>

</body>
</html>

