<!DOCTYPE html>
<html>
<head>
 <meta charset="UTF-8">
 <title>정적변수와 지역변수</title>
</head>
<body>
 <b>정적변수와 지역변수</b></p>

<?php
// static_variable.php
// 정적(static)변수와 지역(local)변수

// 함수 정의(정적 변수)
function static_fcn() {

   static $call_count = 0; // 정적 변수
   $call_count++;

   return $call_count;

}

// 함수 정의(지역 변수)
function local_fcn() {

   $call_count = 0;        // 지역 변수
   $call_count++;

   return $call_count;
}

// 정적변수 함수 호출
echo "1번 call_count = ".static_fcn()."<Br>";
echo "2번 call_count = ".static_fcn()."<Br>";
echo "3번 call_count = ".static_fcn()."</p>";

// 지역변수 함수 호출
echo "1번 call_count = ".local_fcn()."<Br>";
echo "2번 call_count = ".local_fcn()."<Br>";
echo "3번 call_count = ".local_fcn();
?>

</body>
</html>